loadline 4.0.0 question

Discussion in 'Wii U - Hacking & Backup Loaders' started by golanb, Feb 3, 2016.

  1. golanb
    OP

    golanb Member

    Newcomer
    34
    2
    Jul 11, 2014
    Hey is there any chance to make loadline to work on a 4.0.0 system? I have read that the 4.0.0 supports the kernel exploit but i have seen loadline for 4.1.0 not 4.0.0 firmware

    thanks :-)
     
  2. memomo

    memomo ( ͡° ͜ʖ ͡°)

    Member
    1,072
    548
    Nov 30, 2013
    buy a used game that had 5.3.2 like Mario party 10 and update
     
    Masterwin likes this.
  3. andriy921

    andriy921 GBAtemp Regular

    Member
    267
    97
    Dec 1, 2015
    This is actually an interesting question. Since 4.0 doesn't auto install updates it seems to be a much better emunand entry point then 5.3.2.
     
  4. golanb
    OP

    golanb Member

    Newcomer
    34
    2
    Jul 11, 2014
    yep any insight??
     
  5. andriy921

    andriy921 GBAtemp Regular

    Member
    267
    97
    Dec 1, 2015
    Autoupdate was added in 5.0 afaik. And there is a loadiline v3 version for 4.1. It probably has bad compatibility, but that's still something.
     
  6. fiveighteen

    fiveighteen High Hopes and Low Expectations

    Member
    1,755
    1,264
    Jun 30, 2008
    United States
    dimok is adding support for other FWs to the Loadiine v5 source. Note that you still have to have a working kernel exploit before using Loadiine though. I'm not sure if the kernel exploit can be backported, but it's probably easier to just wait for Hykem's IOSU Exploit.
     
    andriy921 likes this.
  7. andriy921

    andriy921 GBAtemp Regular

    Member
    267
    97
    Dec 1, 2015
    Is there any progress thread or in-progress github branch?
     
  8. fiveighteen

    fiveighteen High Hopes and Low Expectations

    Member
    1,755
    1,264
    Jun 30, 2008
    United States
    To backporting the kernel? I don't believe so. It's just finding and changing the addresses. Various people have done it for 3.1.0, 4.1.0, and 5.0.0 (correct me if I'm wrong). Once the kernel is backported, the application itself (Loadiine, in this example) has to support it as well.
     
    andriy921 likes this.
  9. andriy921

    andriy921 GBAtemp Regular

    Member
    267
    97
    Dec 1, 2015
    From what i see on wiiudev/libwiiu, 4.0.0 has kernel exploit implemented, so there is no need in backporting.
     
  10. fiveighteen

    fiveighteen High Hopes and Low Expectations

    Member
    1,755
    1,264
    Jun 30, 2008
    United States
    If that is the case, once dimok has Loadiine v5 ready it should just work out of the box on 4.0.0. :)

    EDIT: I guess that makes more sense for why he was asking for addresses. I assumed it was for the future IOSU exploit, but perhaps it was for kernel too.
     
    Last edited by fiveighteen, Feb 5, 2016
  11. Jay Griggs

    Jay Griggs Member

    Newcomer
    13
    0
    Jan 4, 2016
    United States
    I'm running 4.1.0 I updated from 2.0.0 with the sonic game a month ago. Loadiine works pretty well, You just can't play any of the newer titles.